#compute the graph Laplacian of a network g
lap<-laplacian_matrix(g)

#compute the eigenvalues and round to avoid numerical issues
evals<-round(eigen(lap)$values,digits=5)

#compute number of connected components 
sum(evals == 0)

#compute the algebraic connectivity
unique(evals)[length(unique(evals))-1]
