#create a training sample from Farrellys social network metrics
n<-dim(g)[1]
set.seed(10)
train.index=sample(1:n,15)
train<-g[train.index,]

#build a Poisson regression model
gl<-glm(Diary.Entries~.,data=train,family="poisson")

#examine performance with a model summary and Chi-Square test
summary(gl)

1-pchisq(summary(gl)$deviance,summary(gl)$df[2])
