#load data
mydata<-read.csv("QuoraSample.csv")
set.seed(1)

#run analysis
library(dglars)
dg<-dglars(factor(Depression)~.,data=mydata,family="binomial") 
dg1<-cvdglars(factor(Depression)~.,data=mydata,
family="binomial",control=list(nfold=2))

#Examine results of non-cross-validated model
summary(dg)

#examine cross-validated model
summary(dg1)
